#
# spec file for package twin-decor-suse (Version 0.2)
#
# Copyright (c) 2005 Gerd Fleischer
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.

%define DIST %(if [ -r /etc/SuSE-release ]; then echo "SuSE"; else echo "Unknown"; fi)

Name:         MachBunt
URL:          http://www.gerdfleischer.de/twin-decor-suse2/
License:      GPL
Group:        System/GUI/KDE
Summary:      The KDE window decoration from SUSE 9.1/9.2
Version:      0.1
Release:      1
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source:       %name-%version.tar.bz2

%description
The KDE window decoration from SUSE 9.3/10.0 extracted from the tdebase3-SUSE package.

Authors:
--------
    Adrian Schroeter <adrian@suse.de>

%prep

%setup -q

%if %{DIST} == SuSE
. /etc/opt/kde3/common_options
update_admin --no-unsermake
%endif

%build
%if %{DIST} == SuSE
. /etc/opt/kde3/common_options
./configure $configkde
%else
./configure --enable-final
%endif

make

%install
make DESTDIR=$RPM_BUILD_ROOT install-strip
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/MachBunt
install -m 644 ChangeLog README COPYING INSTALL AUTHORS NEWS $RPM_BUILD_ROOT%{_docdir}/MachBunt/

%files
%defattr(-,root,root)
%if %{DIST} == SuSE
/opt/kde3/%{_lib}
/opt/kde3/share/
%else
/usr/%{_lib}
/usr/share/
%endif
%{_docdir}/MachBunt/

%changelog -n MachBunt
* Mon Jul 04 2006 - gerdfleischer@web.de
- initial spec
